
package net.mcreator.c.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.EyesLayer;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.CreeperModel;

import net.mcreator.c.entity.SupercreEntity;

public class SupercreRenderer extends MobRenderer<SupercreEntity, CreeperModel<SupercreEntity>> {
	public SupercreRenderer(EntityRendererProvider.Context context) {
		super(context, new CreeperModel(context.bakeLayer(ModelLayers.CREEPER)), 0.5f);
		this.addLayer(new EyesLayer<SupercreEntity, CreeperModel<SupercreEntity>>(this) {
			@Override
			public RenderType renderType() {
				return RenderType.eyes(new ResourceLocation("c:textures/entities/pobrane.png"));
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(SupercreEntity entity) {
		return new ResourceLocation("c:textures/entities/pobrane.png");
	}
}
